
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>java 基础之 反射技术 / 憋错料</title>

    <meta name="description" content="java 基础之 反射技术 1. java代码 在 java 语言中最核心的就是代码的运行, 按照面向对象的思想,在调用java代码时往往需要先创建对象,再调用方法, 而写在方法中的即所谓的java 代码 一段java代码在程序运行期间会经历三个阶段: source--&gt;class--&gt;runtime 2. Class 对象 在java中用一个Class对象来表示一个java类的class阶段 Class对象封装了一个java类中定义的成员变量.成员方法.构造方法.类名.包名等 获得class对象的三种方式和区 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">java 基础之 反射技术</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2><strong>1. java代码</strong></h2>
<p>在 java 语言中最核心的就是代码的运行， 按照面向对象的思想，在调用java代码时往往需要先创建对象，再调用方法， 而写在方法中的即所谓的java 代码</p>
<p>一段java代码在程序运行期间会经历三个阶段： source--&gt;class--&gt;runtime</p>
<h2><strong>2. Class 对象</strong></h2>
<p>在java中用一个Class对象来表示一个java类的class阶段</p>
<p>Class对象封装了一个java类中定义的成员变量、成员方法、构造方法、类名、包名等</p>
<p>获得class对象的三种方式和区别</p>
<p>// 1. 根据给定的类名来获得&nbsp; 用于类加载</p>
<p>String classname =&quot;cn.itcast.reflect.Person&quot;;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; //来自配置文件</p>
<p>Class clazz = Class.<em>forName</em>(classname);&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; // 此对象代表Person.class</p>
<p>// 2. 如果拿到了对象，不知道是什么类型&nbsp;&nbsp; 用于获得对象的类型</p>
<p>Object obj = new Person();</p>
<p>Class clazz1 = obj.getClass();&nbsp; // 获得对象具体的类型</p>
<p>// 3. 如果是明确地获得某个类的Class对象&nbsp; 主要用于传参</p>
<p>Class clazz2 = Person.class;</p>
<p>// 在java中所有的类型都会对应一个Class对象 int Integer</p>
<p>Class intClazz = int.class;</p>
<p>Class intarrClazz = int[].class;</p>
<p>Class voidClazz = void.class;</p>
<h2><strong>3. 反射的概念</strong></h2>
<p>反射就是获得一个java类的各个组成部分<strong></strong></p>
<p>// 反射类的成员方法</p>
<p>Class clazz = Person.class;</p>
<p>Method method =clazz.getMethod(methodName, new Class[]{paramClazz1, paramClazz2});</p>
<p>method.invoke();</p>
<p>// 反射类的构造函数</p>
<p>Constructor con =clazz.getConstructor(new Class[]{paramClazz1, paramClazz2,...})</p>
<p>con.newInstance(params...)</p>
<p>// 反射类的属性</p>
<p>Field field =clazz.getField(fieldName);</p>
<p>field.setAccessible(true);</p>
<p>field.setObject(value);</p>
<h2><strong>4. 反射用在哪里</strong></h2>
<p>到底框架是什么？&nbsp; 框架就是将开发中大量重复的代码集中起来写个通用的程序</p>
<p>框架就是用反射来实现的</p>
<p>框架需要现在的类调用将来写的类</p>
<p>框架是将来的程序员调用的，框架不能实现完整的功能，框架只是一些一些通用的代码</p>
<p>框架要运行一定会依赖将来写的类</p>
<p>现在写的类要调用将来写的类，我们先针对接口进行调用，将来的类需要实现接口，那么方法就固定了</p>
<p>但是将来写的类的类名我们无法获知，这时就需要调用者通过配置文件告诉框架具体的类名</p>
<p><strong>Person.java</strong></p>
<p>// 1. 根据给定的类名来获得&nbsp; 用于类加载</p>
<p>package xgp_reflect;</p>
<p>import java.awt.List;</p>
<p>import java.io.InputStream;</p>
<p>public class Person {</p>
<p>publicString name= &quot;aaaa&quot;;</p>
<p>privatestatic int password=123;</p>
<p>//1、类构造函数</p>
<p>publicPerson(){</p>
<p>System.out.println(&quot;无参数构造函数！&quot;);</p>
<p>}</p>
<p>publicPerson(String name){</p>
<p>System.out.println(name);</p>
<p>}</p>
<p>publicPerson(String name, int password){</p>
<p>System.out.println(name&#043;password);</p>
<p>}</p>
<p>privatePerson(List list){</p>
<p>System.out.println(&quot;list&quot;);</p>
<p>}</p>
<p>//2、方法</p>
<p>publicvoid aa1(){</p>
<p>System.out.println(&quot;aa1无参数方法&quot;);</p>
<p>}</p>
<p>publicvoid aa1(String name, int password){</p>
<p>System.out.println(name&#043;&quot;:&quot;&#043;password&#043;&quot;两个参数的方法&quot;);</p>
<p>}</p>
<p>publicvoid aa1(InputStream in){</p>
<p>System.out.println(in);</p>
<p>}</p>
<p>publicClass[] aa1(String name, int[] password){</p>
<p>returnnew Class[]{String.class} ;</p>
<p>}</p>
<p>privatestatic void aa1(int num){</p>
<p>System.out.println(num&#043;&quot;静态方法&quot;);</p>
<p>}</p>
<p>public&nbsp; static void main(String[] args){</p>
<p>System.out.println(&quot;main&quot;);</p>
<p>}</p>
<p>}</p>
<p><strong>Demo01.java</strong></p>
<p>package xgp_reflect;</p>
<p>public class Demo01 {</p>
<p>/**</p>
<p>*</p>
<p>* 反射，加载类，获得类的字节码</p>
<p>* @throws ClassNotFoundException</p>
<p>*/</p>
<p>publicstatic void main(String[] args) throws ClassNotFoundException {</p>
<p>//方法1</p>
<p>Classclazz = Class.forName(&quot;/stringjava/src/xgp_reflect/Person.java&quot;);</p>
<p>//方法2</p>
<p>Classclazz2 = new Person().getClass();</p>
<p>//方法3</p>
<p>Classclazz3 = Person.class;</p>
<p>}</p>
<p>}</p>
<p><strong>Demo02.java</strong></p>
<p>// package xgp_reflect;</p>
<p>import java.awt.List;</p>
<p>importjava.lang.reflect.Constructor;</p>
<p>importjava.lang.reflect.InvocationTargetException;</p>
<p>import java.util.ArrayList;</p>
<p>import org.junit.Test;</p>
<p>public class Demo02 {</p>
<p>/**</p>
<p>* 反射类的构造函数，创建类的对象</p>
<p>*/</p>
<p>@Test</p>
<p>//反射构造函数publicPerson()</p>
<p>publicvoid test1() throws Exception{</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Constructorc = clazz.getConstructor(null);</p>
<p>Personp = (Person) c.newInstance(null);</p>
<p>System.out.println(p.name);</p>
<p>}</p>
<p>//反射构造函数publicPerson(String name)</p>
<p>@Test</p>
<p>publicvoid test2() throws Exception{</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Constructorc = clazz.getConstructor(String.class);</p>
<p>Personp = (Person) c.newInstance(&quot;xxxx&quot;);</p>
<p>System.out.println(p.name);</p>
<p>}</p>
<p>//反射构造函数publicPerson(String name, int password)</p>
<p>@Test</p>
<p>publicvoid test3() throws Exception{</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Constructorc = clazz.getConstructor(String.class, int.class);</p>
<p>Personp = (Person) c.newInstance(&quot;xiaoguoping&quot;,25);</p>
<p>System.out.println(p.name);</p>
<p>}</p>
<p>//反射构造函数publicPerson(List list)</p>
<p>@Test</p>
<p>publicvoid test4() throws Exception{</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Constructorc = clazz.getDeclaredConstructor(List.class);</p>
<p>c.setAccessible(true);</p>
<p>Personp = (Person) c.newInstance(new List());</p>
<p>System.out.println(p.name);</p>
<p>}</p>
<p>//无参数构造函数的另一种方法</p>
<p>@Test</p>
<p>publicvoid test5() throws Exception{</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Personp = (Person) clazz.newInstance();</p>
<p>System.out.println(p.name);</p>
<p>}</p>
<p>}</p>
<p><strong>Demo03.java</strong></p>
<p>// package xgp_reflect;</p>
<p>import java.io.FileInputStream;</p>
<p>import java.io.InputStream;</p>
<p>import java.lang.reflect.Method;</p>
<p>import org.junit.Test;</p>
<p>public class Demo3 {</p>
<p>/**</p>
<p>* 反射类的方法</p>
<p>*/</p>
<p>@Test</p>
<p>//反射类的方法--publicvoid aa1()</p>
<p>publicvoid test1() throws Exception{</p>
<p>Personp = new Person();</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Methodmethod = clazz.getMethod(&quot;aa1&quot;, null);</p>
<p>method.invoke(p,null);</p>
<p>}</p>
<p>@Test</p>
<p>//反射类的方法--publicvoid aa1(String name, int password)</p>
<p>publicvoid test2() throws Exception{</p>
<p>Personp = new Person();</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Methodmethod= clazz.getMethod(&quot;aa1&quot;, String.class,int.class);</p>
<p>method.invoke(p,&quot;xiaoguoping&quot;,25);</p>
<p>}</p>
<p>@Test</p>
<p>//反射类的方法--publicClass[] aa1(String name, int[] password)</p>
<p>publicvoid test3() throws Exception{</p>
<p>Personp = new Person();</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Methodmethod= clazz.getMethod(&quot;aa1&quot;, String.class,int[].class);</p>
<p>Classcs[] = (Class[]) method.invoke(p, &quot;xiaoguoping&quot;, new int[]{1,2});</p>
<p>System.out.println(cs[0]);</p>
<p>}</p>
<p>@Test</p>
<p>//反射类的方法--publicvoid aa1(InputStream in)</p>
<p>publicvoid test4() throws Exception{</p>
<p>Personp = new Person();</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Methodmethod= clazz.getMethod(&quot;aa1&quot;,InputStream.class);</p>
<p>method.invoke(p,newFileInputStream(&quot;C:\\unknow.log&quot;));</p>
<p>}</p>
<p>@Test</p>
<p>//反射类的方法--privatestatic void aa1(int num)</p>
<p>publicvoid test5() throws Exception{</p>
<p>//Personp = new Person();静态方法可以不传对象</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Methodmethod= clazz.getDeclaredMethod(&quot;aa1&quot;,int.class);</p>
<p>method.setAccessible(true);</p>
<p>method.invoke(null,23);</p>
<p>}</p>
<p>@Test</p>
<p>//反射类的方法--publicstatic void main(String[] args)</p>
<p>publicvoid test6() throws Exception{</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Methodmethod= clazz.getMethod(&quot;main&quot;,String[].class);</p>
<p>//method.invoke(null,newString[]{&quot;aa&quot;,&quot;bb&quot;});//JDK1.4 main(string s1,string s2)拆开参数赋&#20540;</p>
<p>//method.invoke(null,(Object)new String[]{&quot;aa&quot;,&quot;bb&quot;});</p>
<p>method.invoke(null,new Object[]{new String[]{&quot;aa&quot;,&quot;bb&quot;}});</p>
<p>}</p>
<p>}</p>
<p><strong>Demo04.java</strong></p>
<p>// package xgp_reflect;</p>
<p>import java.lang.reflect.Field;</p>
<p>import java.lang.reflect.Method;</p>
<p>import org.junit.Test;</p>
<p>public class Demo04 {</p>
<p>/**</p>
<p>* 反射类的字段--属性，封装数据</p>
<p>*/</p>
<p>@Test</p>
<p>//反射类的字段--publicString name= &quot;aaaa&quot;;</p>
<p>publicvoid test1() throws Exception{</p>
<p>Personp = new Person();</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Fieldfield = clazz.getField(&quot;name&quot;);</p>
<p>//获取字段的&#20540;</p>
<p>Objectvalue= field.get(p);</p>
<p>//获取字段的类型</p>
<p>Classtype = field.getType();</p>
<p>if(type.equals(String.class)) {</p>
<p>Stringsvalue = (String) value;</p>
<p>System.out.println(svalue);//aaaa</p>
<p>}</p>
<p>//设置字段的&#20540;</p>
<p>field.set(p,&quot;xxxx&quot;);</p>
<p>System.out.println(p.name);//xxxx</p>
<p>}</p>
<p>@Test</p>
<p>//反射类的字段--privatestatic int password=123;</p>
<p>publicvoid test2() throws Exception{</p>
<p>Personp = new Person();</p>
<p>Classclazz = Class.forName(&quot;xgp_reflect.Person&quot;);</p>
<p>Fieldfield = clazz.getDeclaredField(&quot;password&quot;);</p>
<p>field.setAccessible(true);</p>
<p>Objectvalue = field.get(p);</p>
<p>System.out.println(value);</p>
<p>}</p>
<p>}</p>
<p>版权声明：本文为博主原创文章，未经博主允许不得转载。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-07 14:39:34 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/java/" title="java">java</a>, <a href="https://www.biecuoliao.com/tag/eclipse/" title="Eclipse">Eclipse</a>, <a href="https://www.biecuoliao.com/tag/%e5%8f%8d%e5%b0%84/" title="反射">反射</a>, <a href="https://www.biecuoliao.com/tag/%e9%9d%a2%e5%90%91%e5%af%b9%e8%b1%a1/" title="面向对象">面向对象</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>java 基础之 反射技术的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoLXDl0.html" rel="bookmark">Java基础加强-反射、注解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基础加强 一回顾泛型 二泛型的反射 三注解 基础加强 一.回顾泛型 泛型的基本概念: 以ArrayList&lt;E&gt;为例: ① ArrayList&lt;E&gt;中的E称为类型参数变量 ArrayList&lt;Integer&gt;中的Integer称为实际类型参数 ②整个ArrayList&lt;E&gt;称为泛型类型 整个ArrayList&lt;Integer&gt;称为参数化的类型(ParameterizedType) 定义一个泛型方法: : // &lt;T&gt;:泛型定义的声明,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nx6GG0.html" rel="bookmark">Java基础之&mdash;反射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				反射是框架设计的灵魂 (使用的前提条件:必须先得到代表的字节码的Class,Class类用于表示.class文件(字节码))   一.反射的概述 JAVA反射机制是在运行状态中,对于任意一个类,都能够知道这个类的所有属性和方法:对于任意一个对象,都能够调用它的任意一个方法和属性:这种动态获取的信息以及动态调用对象的方法的功能称为java语言的反射机制. 要想解剖一个类,必须先要获取到该类的字节码文件对象.而解剖使用的就是Class类中的方法.所以先要获取到每一个字节码文件对应的Class类型的对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6G1dr0.html" rel="bookmark">【转】Java基础之&mdash;反射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文章来源:https://blog.csdn.net/sinat_38259539/article/details/71799078.感谢敬业的小码哥的总结. 反射是框架设计的灵魂(使用的前提条件:必须先得到代表的字节码的Class,Class类用于表示.class文件(字节码)) 一.反射的概述JAVA反射机制是在运行状态中,对于任意一个类,都能够知道这个类的所有属性和方法:对于任意一个对象,都能够调用它的任意一个方法和属性:这种动态获取的信息以及动态调用对象的方法的功能称为java语言的反			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4p1OW8M.html" rel="bookmark">Java基础增强-反射机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 反射机制简介 Java的反射(reflection)机制是指在程序的运行状态中,可以构造任意一个类的对象,可以了解任意一个对象所属的类,可以了解任意一个类的成员变量和方法,可以调用任意一个对象的属性和方法.这种动态获取程序信息以及动态调用对象的功能称为Java语言的反射机制.反射被视为动态语言的关键. 反射这一概念最早由编程开发人员Smith在1982年提出,主要指应用程序访问.检测.修改自身状态与行为的能力.这一概念的提出立刻吸引了编程界的极大关注,各种研究工作随之展开,随之而来引发编程革			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP9XJy0.html" rel="bookmark">JAVA基础知识&vert;反射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.理解反射 1.1.基础概念 反射:在运行状态中,对于任意一个类,都能够知道这个类的所有属性和方法:对于任意一个对象,都能够调用它的任意方法和属性:这种动态获取信息以及动态调用对象方法的功能称为java语言的反射机制. &quot;运行状态&quot;,如何理解? &quot;运行状态&quot;体现了反射的应用场景,当一些类,不需要提前加载进JVM内存,而是在运行时根据需要进行加载的时候,就可以通过反射进行动态加载 1.2.如何理解反射? 学习过java的童鞋,肯定对spring.hibernate一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wLyq14.html" rel="bookmark">Java基础之IO技术（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				---恢复内容开始--- Java基础中的IO技术可谓是非常重要,俗话说的好,万丈高楼起于垒土之间.所以学习Java一定要把基础学好,今天我们来学习IO技术的基础. IO无非就是输入与输出,而其中处理的数据无非是字符与字节.字符最简单的定义就是这个数据是否是纯文本组成,除此之外所有的都是字节.Java给我们提供了字符和字节的处理,其中字符的处理有Writer和Reader两个抽象父类(分别对应的是写和读),字节的处理有OutputStream和InputStream两个抽象类(分别对应的是写和读			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/B0RLZR4.html" rel="bookmark">Java基础之反射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java反射是指运行时获取类信息,进而在运行时动态构造对象.调用对象方法及修改对象属性的机制.百度百科的定义:“JAVA反射机制是在运行状态中,对于任意一个类,都能够知道这个类的所有属性和方法:对于任意一个对象,都能够调用它的任意方法和属性:这种动态获取信息以及动态调用对象方法的功能称为java语言的反射机制. 一.反射的用途 Java的反射机制可以做3件事:运行时创建对象.运行时调用方法.运行时读写属性.进而实现以下功能:调用一些私有方法,实现黑科技.比如双卡短信发送.设置状态栏颜色.自动挂电			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/ME8gAg4.html" rel="bookmark">java基础篇---反射机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.JAVA是动态语言吗? 一般而言,说到动态言,都是指在程序运行时允许改变程序结构或者变量类型,从这个观点看,JAVA和C++一样,都不是动态语言. 但JAVA它却有着一个非常突出的动态相关机制:反射.通过反射,Java可以于运行时加载.探知和使用编译期间完全求和的类.生成其对象实体,调用其方法或者对属性设值.所以Java算是一个半动态的语言吧. 反射的概念: 在Java中的反射机制是指在运行状态中,对于任意一个类,都能够知道这个类的所有属性和方法; 对于任意一个对象,都能够调用它的任意一个方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35A1Oj3.html" rel="bookmark">黑马程序员-Java基础之反射</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				反射 JAVA反射机制是在运行状态中,对于任意一个类,都能够知道这个类的所有属性和方法:对于任意一个对象,都能够调用它的任意一个方法和属性:这种动态获取的信息以及动态调用对象的方法的功能称为java语言的反射机制. Java反射机制主要提供了以下功能: 在运行时判断任意一个对象所属的类:在运行时构造任意一个类的对象:在运行时判断任意一个类所具有的成员变量和方法:在运行时调用任意一个对象的方法:生成动态代理. 反射说白了就是可以获得一个类的所有信息,主要包括方法和属性两部分.1.获得方法包括获得方			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZxWP0.html" rel="bookmark" class="title">国、匈牙利、波兰、奥地f</a>
					<div>
						以色列一名警官称,这是一起恐怖袭击事件. 萨德尔城是什叶派聚居区,极端组织&quot;伊斯兰国&quot;武装分子近日多次在该区域实施恐怖袭击.1月2日,萨德尔城发生一起汽车炸弹袭击,造成至少35人死 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPnbR0.html" rel="bookmark" class="title">python中属性和方法的动态绑定</a>
					<div>
						# 定义一个类 class Student(object):     pass # 实例化一个对象     s = Student() # 给这个对象绑定一个属性name s.name = 'John ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l5xvP3.html" rel="bookmark" class="title">oracle里的执行计划-查看</a>
					<div>
						内容主要来自看书学习的笔记,如下记录了常见查询执行计划的方法. 2.2 如何查看执行计划1.explain plan2.dbms_xplan包3.autotrace4.10046事件5.10053事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyK2Gj3.html" rel="bookmark" class="title">mysql外键使用和事物使用</a>
					<div>
						mysql外键功能主要是为了保证关联表数据的一致性,主要目的是控制存储在外键表中的数据. 使两张表形成关联,外键只能引用外表中的列的值! 例如: a b 两个表 a表中存有 客户号,客户名称 b表中存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz1Boq4.html" rel="bookmark" class="title">JavaScript 内存释放测试</a>
					<div>
						JS内部实现垃圾回收机制 无法立即释放 只要数据没有依赖关系 就会在下轮内存回收时清理 ! function () { var array = [] , count = 100*100*100*5 , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ORBdZ0.html" rel="bookmark" class="title">JavaScript DOM编程艺术-学习笔记（第十章、第十一章）</a>
					<div>
						第十章 1.动画中,因为js的效率高,所以看不见过渡效果 2.题外话:①国外人写书,总是先感谢一遍亲朋好友,最后感谢自己的家人. 3.&quot;除非允许用户'冻结'移动的内容,否则应该避免让内容在页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nYGZpM.html" rel="bookmark" class="title">cocos3 多点触控，真机测试成功</a>
					<div>
						local scheduler = require(cc.PACKAGE_NAME .. &quot;.scheduler&quot;) local TestScene = class(&quot;T ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35A8jX3.html" rel="bookmark" class="title">Java集合（二）</a>
					<div>
						ArrayList, Vector, LinkedList异同   1)三者都是List接口的实现类.都属于线性数据结构.   2)ArrayList和Vector属于顺序表,逻辑顺序同物理顺序一致. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wjjqY0.html" rel="bookmark" class="title">Linux之apache优化</a>
					<div>
						Linux之apache优化 一. Apache的优化配置: apache所运行的硬件环境都是对性能影响最大的因素,即使不能对硬件进行升级,也最好给apache一个单独的主机以免受到其他应用的干扰.各 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xZYok4.html" rel="bookmark" class="title">Ubuntu&colon; 为firefox安装flash插件</a>
					<div>
						下载对应的tar.gz包后,将里边的libflashplayer.so粘贴到/usr/lib/mozilla/plugins中后重启firefox即可.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AEn8g4.html" rel="bookmark" class="title">三分钟教你学Git &lpar;五&rpar;之 查询历史</a>
					<div>
						我们知道查询历史是 git log 如果想要漂亮点可以这样: git log --graph --decorate 如果我们想查看历史提交之间的变化怎么办呢? git log -p -2 -p的意思是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Nn6Vo4.html" rel="bookmark" class="title">Android应用实现多语言切换</a>
					<div>
						关于Android应用实现多语言切换,有好几种办法,网上也搜到很多资料,这里有个简单有效的办法. 步骤如下: 在资源文件中新建一个文件夹values-en,在里面新建一个strings.xml,把默认 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l76VXM.html" rel="bookmark" class="title">苹果使用蓝汛CDN网络分发ios8</a>
					<div>
						2014年9月18日凌晨,苹果公司公布了全新的ios8系统正式版.不出所料的引发了空前高涨的&quot;果粉&quot;下载热潮.引爆整个苹果界. ios8被业内称为&quot;自App Store启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MD8WlkM.html" rel="bookmark" class="title">Webpack 入门教程3</a>
					<div>
						16.如果我们需要在项目中使用CSS,那么我们就需要安装css-loader和style-loader模块 cnpm install css-loader style-loader 17.在项目的根目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6Xxy53.html" rel="bookmark" class="title">哪些纪录片可以称为「神作」？</a>
					<div>
						自然纪录片(这里面又大概分为地球.宇宙.人体三个大部分) 一.BBC地球篇首先是BBC三大“镇馆之宝”(自封的)&lt;地球脉动&gt;:几乎算是有史以来最好的生态纪录片,用接近上帝的视角,审视这个叫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXZJaq3.html" rel="bookmark" class="title">随想25：我的自白</a>
					<div>
						我从小的经历,不那么开心,也不那么痛苦. 成长过程,平淡无聊的有点乏味,日复一日年复一年,没经历过什么大的挫折,也从未有过什么大的成就,从小开始成绩就在班里十几名,中等偏上,老师眼里一个老实而内向的学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZaNrZ0.html" rel="bookmark" class="title">Android&lowbar;WebServices&lowbar;介绍</a>
					<div>
						本博文为子墨原创,转载请注明出处! http://blog.csdn.net/zimo2013/article/details/38036289 1.WebService的介绍 WebService为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KPnnL3.html" rel="bookmark" class="title">python ConfigParser例子01</a>
					<div>
						import ConfigParser def writeConfig(filename): config = ConfigParser.ConfigParser() # set db section ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZGD584.html" rel="bookmark" class="title">CSS中Position 的用法详解。</a>
					<div>
						记得一年前,到一家公司面试的时候,问我position有哪几个属性,我憋半天才回答出2个,大家估计都清楚,就是我们经常用到的2个(relative,absolute). 最近又用到了好多,深入研究了下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xXB9N0.html" rel="bookmark" class="title">Centos系统备份与恢复教程</a>
					<div>
						Linux不像windows,它不限制根用户存取任何东西,因此,你完全可以把一个分区上每一个的文件放入一个TAR文件中. 使用root用户切换到根目录 然后,使用下面的命令备份完整的系统: tar c ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
